<template>
  <router-view />
</template>

<script setup>
import useSettingsStore from '@/store/modules/settings'
import { handleThemeStyle } from '@/utils/theme'

onMounted(() => {
  const lang = window.localStorage.getItem('lang');
  window.localStorage.setItem('lang', 'en');
  if(!lang) {
    // 刷新页面
    window.location.reload()
  }
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme)
  })
})
</script>
